Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.batchadapter.appconn
Class BatchAppconnMessage

    java.lang.Object
      com.stc.connector.batchadapter.appconn.BatchAppconnMessage

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class BatchAppconnMessage

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

Author:
  rchen

Constructor Summary
`BatchAppconnMessage()` Creates a new instance of BatchAppconnmessage

Method Summary
`BatchAppconnMessage` | `getBatchAppconnMessage()` return this instance of BatchAppconnMessage this instance carries a local file system file information: `GUIDFileName` the UUID prefixed file name (GUIDFileName) where the inbound target file's content can be read from as the payload of the inbound message `PathDirName` the directory where the inbound local file resides `OriginalFileName` the inbound local file before it is prefixed with the UUID
`java.lang.String` | `getGUIDFileName()` get the UUID prefixed inbound target file name
`java.lang.String` | `getOriginalFileName()` get the original inbound file name before it is prefixed with UUID (renamed)
`java.lang.String` | `getPathDirName()` get the path of the directory where the inbound target file resides;
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dout)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput din)` Restore (deserialize) this message.
`void` | `revertName()` Short term solution for QAI, the real solution will be a XA capable Batch eWay;
`void` | `setGUIDFileName(java.lang.String guidFileNameIn)` set the UUID prefixed inbound target file name
`void` | `setOriginalFileName(java.lang.String originalFileNameIn)` set the original inbound file name
`void` | `setPathDirName(java.lang.String dirPathNameIn)` set the directory path where the inbound target file resides

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchAppconnMessage

    public BatchAppconnMessage()

  Creates a new instance of BatchAppconnmessage

Method Detail

### getBatchAppconnMessage

    public BatchAppconnMessage getBatchAppconnMessage()

  return this instance of BatchAppconnMessage this instance carries a local file system file information: `GUIDFileName` the UUID prefixed file name (GUIDFileName) where the inbound target file's content can be read from as the payload of the inbound message `PathDirName` the directory where the inbound local file resides `OriginalFileName` the inbound local file before it is prefixed with the UUID

  Returns:
    - this instance of BatchAppconnMessage

### getGUIDFileName

    public java.lang.String getGUIDFileName()

  get the UUID prefixed inbound target file name

  Returns:
    - the UUID prefixed file name

### setGUIDFileName

    public void setGUIDFileName(java.lang.String guidFileNameIn)

  set the UUID prefixed inbound target file name

  Parameters:
    `guidFileNameIn` -

### getPathDirName

    public java.lang.String getPathDirName()

  get the path of the directory where the inbound target file resides;

  Returns:
    - the path to the file

### setPathDirName

    public void setPathDirName(java.lang.String dirPathNameIn)

  set the directory path where the inbound target file resides

  Parameters:
    `dirPathNameIn` - - the path of the directory

### getOriginalFileName

    public java.lang.String getOriginalFileName()

  get the original inbound file name before it is prefixed with UUID (renamed)

  Returns:
    - the original file name

### setOriginalFileName

    public void setOriginalFileName(java.lang.String originalFileNameIn)

  set the original inbound file name

  Parameters:
    `originalFileNameIn` - - the original file name

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dout)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dout` - The DataOutput to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### revertName

    public void revertName()
                    throws java.lang.Exception

  Short term solution for QAI, the real solution will be a XA capable Batch eWay;

  Throws:
    `java.lang.Exception`

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput din)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInput from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD